<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function fft

Calculate N-dimensional fourier transform


## Syntax

```js
math.fft(arr)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`arr` | Array &#124; Matrix | An array or matrix

### Returns

Type | Description
---- | -----------
Array &#124; Matrix | N-dimensional fourier transformation of the array


### Throws

Type | Description
---- | -----------


## See also

[ifft](ifft.md)
